# Loki::AssertBadDesignMutexError Class Reference

`#include <LevelMutex.h>`

List of all members.

## Detailed Description

Implements the ErrorPolicy for LevelMutex and asserts if the error indicates the programmer did not levelize the calls to mutexes. Otherwise returns the error result. Useful for testing mutexes in debug builds.

The documentation for this class was generated from the following file:

- LevelMutex.h